<?php
/**
 * Plugin Name: DEV Plugin Editor Links (ETWP)
 * Description: Tilføjer et "Editor" link til hver plugin på plugins-siden.
 * Version: 1.0
 * Author: Dit Navn
 */

// Hook til at tilføje vores link til plugin-lister
add_filter('plugin_action_links', 'add_plugin_editor_link', 10, 2);

function add_plugin_editor_link($actions, $plugin_file) {
    // Kontrollér om brugeren har de nødvendige tilladelser
    if (current_user_can('edit_plugins')) {
        // Generér URL til plugin-editoren
        $plugin_editor_url = admin_url('plugin-editor.php?file=' . urlencode($plugin_file));
        
        // Tilføj "Editor" link til actions
        $actions['plugin_editor'] = '<a target="_blank" href="' . esc_url($plugin_editor_url) . '">' . __('Editor') . '</a>';
    }
    return $actions;
}
